# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_sourceparams_t Struct Reference

`#include <dirac_types.h>`

Collaboration diagram for dirac_sourceparams_t:

[legend]

List of all members.

## Public Attributes

- int interlace
- int topfieldfirst
- int seqfields
- dirac_frame_rate_t frame_rate
- dirac_asr_t pix_asr
- dirac_clean_area_t clean_area
- dirac_signal_range_t signal_range
- dirac_colour_spec_t colour_spec

## Detailed Description

Structure that holds the source parameters

## Member Data Documentation

int dirac_sourceparams_t::interlace

interlace flag: 0 - progressive; 1 - interlaced

int dirac_sourceparams_t::topfieldfirst

top field comes first : 0 - false; 1 - true

int dirac_sourceparams_t::seqfields

sequential fields flag : 0 - interleaved; 1 - sequential

dirac_frame_rate_t dirac_sourceparams_t::frame_rate

frame rate

dirac_asr_t dirac_sourceparams_t::pix_asr

pixel aspect ratio

dirac_clean_area_t dirac_sourceparams_t::clean_area

dirac_signal_range_t dirac_sourceparams_t::signal_range

dirac_colour_spec_t dirac_sourceparams_t::colour_spec

The documentation for this struct was generated from the following file:

- dirac_types.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.